### File

`packages/eui/packages/components-next/src/lib/layout/eui-app/eui-app-top-message/top-message.component.ts`

### Extends

`BaseDirective`

### Implements

`AfterViewInit`

### Metadata

changeDetection | `ChangeDetectionStrategy.Default`
encapsulation | `ViewEncapsulation.None`
selector | `eui-app-top-message`
styleUrls | `./_styles/_index.scss`
templateUrl | `./top-message.component.html`

### Index

###### Properties
_isVisible Public asService
###### Methods
onCloseClick
###### Inputs
isCloseable isVisible
###### Outputs
close
###### HostBindings
attr.role class
###### Accessors
isVisible

### Constructor

`constructor(asService: UxAppShellService, elRef: ElementRef)`
Parameters :
Name | Type | Optional
asService | `UxAppShellService` | No
elRef | `ElementRef` | No

### Inputs

isCloseable
Default value : `false`

isVisible
Type : `boolean`

### Outputs

close
Type : `EventEmitter`

### HostBindings

attr.role
Default value : `'banner'`

class

### Methods

onCloseClick
`onCloseClick(event: any)`
Parameters :
Name | Type | Optional
event | `any` | No
Returns : `void`

### Properties

_isVisible
Default value : `true`

Public asService
Type : `UxAppShellService`

### Accessors

isVisible
get `isVisible()`
set `isVisible(value: boolean)`
Parameters :
Name | Type | Optional
value | `boolean` | No
Returns : `void`

# result-matching ""

# No results matching ""